packages: pear-autoup.sh - sort final list
glen
glen at pld-linux.org
Tue Aug 24 11:28:44 CEST 2010
Author: glen Date: Tue Aug 24 09:28:44 2010 GMT
Module: packages Tag: HEAD
---- Log message:
- sort final list
---- Files affected:
packages:
pear-autoup.sh (1.7 -> 1.8)
---- Diffs:
================================================================
Index: packages/pear-autoup.sh
diff -u packages/pear-autoup.sh:1.7 packages/pear-autoup.sh:1.8
--- packages/pear-autoup.sh:1.7 Sun Aug 22 14:16:42 2010
+++ packages/pear-autoup.sh Tue Aug 24 11:28:38 2010
@@ -9,7 +9,7 @@
[ -s pear.ls ] || poldek -q --skip-installed --cmd 'ls php-pear-* | desc' > pear.ls
[ -s pear.pkgs ] || {
- awk '/^Source.package:/{print $3}' < pear.ls | sort -u | sed -re 's,-[^-]+-[^-]+.src.rpm$,,' > pear.pkgs
+ awk '/^Source.package:/{print $3}' < pear.ls | sed -re 's,-[^-]+-[^-]+.src.rpm$,,' | sort -u > pear.pkgs
# filter out tests, see https://bugs.launchpad.net/poldek/+bug/620362
sed -i -e '/-tests/d' pear.pkgs
@@ -20,7 +20,11 @@
sed -i -e '/^php-pear$/d' pear.pkgs
}
-[ -f pear.installed ] || { sudo poldek --update --upa; sed -e 's,^,install ,' pear.pkgs | sudo poldek; touch pear.installed; }
+[ -f pear.installed ] || {
+ sudo poldek --update --upa
+ sed -e 's,^,install ,' pear.pkgs | sudo poldek
+ touch pear.installed
+}
[ -s pear.upgrades ] || pear list-upgrades > pear.upgrades
# test that php is working
================================================================
---- CVS-web:
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/packages/pear-autoup.sh?r1=1.7&r2=1.8&f=u
More information about the pld-cvs-commit
mailing list